InStream.EncryptedStream (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc.impl

## Class InStream.EncryptedStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.orc.impl.InStream
    - - org.apache.orc.impl.InStream.UncompressedStream
      - - org.apache.orc.impl.InStream.EncryptedStream

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Enclosing class:
    InStream

      public static class InStream.EncryptedStream
      extends InStream.UncompressedStream

  Implements a stream over an encrypted, but uncompressed stream.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.orc.impl.InStream

      `InStream.EncryptedStream, InStream.StreamOptions, InStream.UncompressedStream`

  - ### Field Summary

    - ### Fields inherited from class org.apache.orc.impl.InStream.UncompressedStream

      `currentOffset, currentRange, decrypted`

    - ### Fields inherited from class org.apache.orc.impl.InStream

      `bytes, length, name, offset, position, PROTOBUF_MESSAGE_MAX_LIMIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncryptedStream(Object name, DiskRangeList input, long offset, long length, InStream.StreamOptions options)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeIv(Consumer<byte[]> modifier)`
    `void` | `close()`
    `protected void` | `setCurrent(DiskRangeList newRange, boolean isJump)` Set the current range
    `String` | `toString()`

    - ### Methods inherited from class org.apache.orc.impl.InStream.UncompressedStream

      `available, read, read, seek, seek`

    - ### Methods inherited from class org.apache.orc.impl.InStream

      `create, create, createCodedInputStream, options, reset`

    - ### Methods inherited from class java.io.InputStream

      `mark, markSupported, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EncryptedStream

          public EncryptedStream(Object name,
                                 DiskRangeList input,
                                 long offset,
                                 long length,
                                 InStream.StreamOptions options)

  - ### Method Detail

    - #### setCurrent

          protected void setCurrent(DiskRangeList newRange,
                                    boolean isJump)

      Description copied from class: `InStream`
      Set the current range
      Overrides:
        `setCurrent` in class `InStream.UncompressedStream`
      Parameters:
        `newRange` - the block that is current
        `isJump` - if this was a seek instead of a natural read

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `InStream.UncompressedStream`

    - #### changeIv

          public void changeIv(Consumer<byte[]> modifier)

      Overrides:
        `changeIv` in class `InStream.UncompressedStream`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `InStream.UncompressedStream`

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.